Playing GBA roms...

Discussion in 'CycloDS' started by JaJaJackson, Jul 15, 2009.

  1. JaJaJackson
    OP

    JaJaJackson Member

    Newcomer
    23
    0
    Jun 16, 2009
    United States
    What should I get? I have heard the Cyclo comes equipped with the ability to play GBA roms by default, but I think I misread that. I still need a slot 2 card, correct? Well which one will be cheap and not require really anything to get it to work?

    Thank you.
     
  2. Rayder

    Rayder Mostly lurking lately....

    Former Staff
    6,613
    133
    Jan 14, 2007
    United States
    USA
    EZFlash 3in1 is what you need for simple GBA support that is cheap. There used to be dedicated slot2 carts that had their own memory and everything that were good (M3 Perfect, EZFlash IV, for example), but most of them aren't sold anymore or are hard to find, not to mention more expensive, so just get a 3in1, it's the cheapest solution. 3in1's are supported directly by the CycloDS.

    Avoid Supercard slot2's as they slowdown nastily in many GBA games. Trust me, for GBA gaming, Supercard sucks.
     
  3. Dwight

    Dwight Gawb. Gawb Bluth.

    Member
    1,033
    0
    Aug 14, 2008
    United States
    Washington State
    What Rayder said, get a 3in1. The built in 3in1 support on the CycloDS is excellent. By this I mean being able to select .gba files from the rom list. Cool stuff bro.
     
  4. Schizoanalysis

    Schizoanalysis From somewhere inside the rabbit hole...

    Member
    2,785
    368
    Jun 23, 2009
    ...
    So GBAExpLoader is not needed?

    I have a 3in1+ -- and I read that CycloDS can not access it directly.

    Maybe I am wrong.
     
  5. Seven

    Seven oh hell no

    Member
    777
    7
    Jun 22, 2007
    United States
    You do not need GBAExpLoader although it is nice to have around for settings/multiple saves and whatnot.
     
  6. DeMoN

    DeMoN GBAtemp Guru

    Member
    7,651
    102
    May 12, 2004
    United States
    That was only a problem when the EZ-Flash 3in1+ first came out. The team never said anything about the upgrade so people would have problems and not know what was wrong.

    Now it should be fixed. Just make sure to use the latest Cyclo firmware.
     
  7. leiger

    leiger GBAtemp Regular

    Member
    104
    1
    May 25, 2009
    There is still a known NOR launching bug, but a hard-reset is a good workaround to get the GBA game working. Any game in PSRAM, as well as the additional RAM/Rumble works flawlessly.
     
  8. Skeezy

    Skeezy Newbie

    Newcomer
    6
    0
    Dec 1, 2008
    United States
    Miami, FL
    Wait is the bug also in 1.55B3, or is it just in 1.54?
     
  9. leiger

    leiger GBAtemp Regular

    Member
    104
    1
    May 25, 2009
    To the best of my knowledge it hasn't been fixed. Though it doesn't prevent you from doing anything so it's not a critical issue anyway.

    I haven't used my 3-in-1 for a while because it suddenly stopped working a few weeks ago [​IMG] Can't test it to answer your question, for that reason..
     
  10. Schizoanalysis

    Schizoanalysis From somewhere inside the rabbit hole...

    Member
    2,785
    368
    Jun 23, 2009
    ...
    I just put that latest firmware on my cyclo and my 3in1+ wont automatically load GBA games... hmmm... I can load them fine with GBAExpLoader... so it is not my 3in1+

    If anyone managed to get it working, how did you do it?

    Cheers...
     
  11. Pliskron

    Pliskron Banned

    Banned
    1,276
    0
    Jul 22, 2009
    United States
    I haven't had any NOR problems with the new firmware.
     
  12. leiger

    leiger GBAtemp Regular

    Member
    104
    1
    May 25, 2009
    I haven't had any problems with the new firmware either.

    Try reinstalling. Put the update.evo file for the latest beta onto the microSD, then press DOWN+B when launching the CycloDS.